# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.
---
task-defaults:
    suite:
        category: firefox-ui
    max-run-time: 5400
    test-manifest-loader: null  # don't load tests in the taskgraph
    run-on-projects: built-projects
    mozharness:
        script: firefox_ui_tests.py
        config:
            by-test-platform:
                windows.*:
                    - firefox_ui_tests/taskcluster_windows.py
                macosx.*:
                    - firefox_ui_tests/taskcluster.py
                    - firefox_ui_tests/taskcluster_mac.py
                linux.*:
                    - firefox_ui_tests/taskcluster.py
                    - remove_executables.py

firefox-ui-functional:
    description: "Firefox-ui-tests functional run"
    treeherder-symbol: Fxfn(en-US)
    tier: 2
